> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Account User

> Create an Account User



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/platform_swagger.json post /platform/api/v1/accounts/{account_id}/account_users
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Accounts
    description: Account management APIs
  - name: Account Users
    description: Account user management APIs
  - name: AgentBots
    description: Bot integrations
  - name: Users
    description: User management APIs
paths:
  /platform/api/v1/accounts/{account_id}/account_users:
    parameters:
      - $ref: '#/components/parameters/account_id'
    post:
      tags:
        - Account Users
      summary: Create an Account User
      description: Create an Account User
      operationId: create-an-account-user
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/account_user_create_update_payload'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  account_id:
                    type: integer
                    description: The ID of the account
                  user_id:
                    type: integer
                    description: The ID of the user
                  role:
                    type: string
                    description: whether user is an administrator or agent
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - platformAppApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    account_user_create_update_payload:
      type: object
      required:
        - user_id
        - role
      properties:
        user_id:
          type: integer
          description: The ID of the user
          example: 1
        role:
          type: string
          description: whether user is an administrator or agent
          example: administrator
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    platformAppApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by the system admin after creating a
        platformApp. This token should be used to provision agent bots,
        accounts, users and their roles.

````